# SNESKSPGetUseEW

Gets if SNES is using Eisenstat-Walker method for computing relative tolerance for linear solvers within an inexact Newton method.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode PETSCSNES_DLLEXPORT SNESKSPGetUseEW(SNES snes, PetscTruth *flag)

Not Collective

### Input Parameter

snes -SNES context

### Output Parameter

flag -PETSC_TRUE or PETSC_FALSE

### Notes

Currently, the default is to use a constant relative tolerance for the inner linear solvers. Alternatively, one can use the Eisenstat-Walker method, where the relative convergence tolerance is reset at each Newton iteration according progress of the nonlinear solver.

### Reference

S. C. Eisenstat and H. F. Walker, "Choosing the forcing terms in an inexact Newton method", SISC 17 (1), pp.16-32, 1996.

### Keywords

SNES, KSP, Eisenstat, Walker, convergence, test, inexact, Newton

### See Also

SNESKSPSetUseEW(), SNESKSPGetParametersEW(), SNESKSPSetParametersEW()

Level:advanced
Location: src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages